JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const file = await client.files.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(file.createdAt);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
file = client.files.update(
file_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(file.created_at)curl --request PATCH \
--url https://api.mobilerun.ai/v1/agents/files/{fileId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"enabled": true
}
'
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "user",
"displayName": "<string>",
"enabled": true,
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"zone": "user"
}{
"message": "<string>"
}{
"error": "unsupported_zone",
"message": "<string>"
}Files
Update file metadata (skills zone only)
Partial update of displayName and/or enabled. Only files with zone=skills are mutable; other zones return 422 unsupported_zone.
PATCH
/
agents
/
files
/
{fileId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const file = await client.files.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(file.createdAt);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
file = client.files.update(
file_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(file.created_at)Authorizations
Bearer token via Authorization header
Path Parameters
Response
Updated file row
Available options:
user, agent, workflow Available options:
user, agent, workflow, skills Was this page helpful?
⌘I